> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Automation Exclusion

> Add users to the automation exclusion list for an app entitlement. Excluded users are not affected by the automation rule.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/exclusions
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/exclusions:
    post:
      tags:
        - App Entitlement Automation Exclusion
      summary: Add Automation Exclusion
      description: >-
        Add users to the automation exclusion list for an app entitlement.
        Excluded users are not affected by the automation rule.
      operationId: c1.api.app.v1.AppEntitlements.AddAutomationExclusion
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The ID of the app that contains the entitlement.
            readOnly: false
            type: string
        - in: path
          name: app_entitlement_id
          required: true
          schema:
            description: >-
              The ID of the app entitlement whose automation exclusion list to
              update.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v1.AddAutomationExclusionRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v1.AddAutomationExclusionResponse
          description: Empty response with a status code indicating success.
      x-codeSamples:
        - lang: go
          label: AddAutomationExclusion
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppEntitlements.AddAutomationExclusion(ctx, operations.C1APIAppV1AppEntitlementsAddAutomationExclusionRequest{\n        AppEntitlementID: \"<id>\",\n        AppID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.AddAutomationExclusionResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.appEntitlements.addAutomationExclusion({
                appId: "<id>",
                appEntitlementId: null,
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v1.AddAutomationExclusionRequestInput:
      description: The AddAutomationExclusionRequest message.
      properties:
        userIds:
          description: The IDs of users to add to the automation exclusion list.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Add Automation Exclusion Request
      type: object
      x-speakeasy-name-override: AddAutomationExclusionRequest
    c1.api.app.v1.AddAutomationExclusionResponse:
      description: Empty response with a status code indicating success.
      title: Add Automation Exclusion Response
      type: object
      x-speakeasy-name-override: AddAutomationExclusionResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````